org.gnome.gtk

## Interface Widget.MapEvent

- Enclosing class:
    Widget

      public static interface Widget.MapEvent

  The signal emitted when a Widget becomes visible on the screen.

  This can be used as an indication that your Window is no longer minimized. Connecting to `Widget.Draw` would probably tell you what you need to know, but if all you want to do is find out your app is [back] onscreen then `Widget.Draw` would be a bit heavy handed. Of course, if you are drawing anyway, then it's fine. See `Widget.UnmapEvent` for examples of other variations on the theme of tracking the state of your application.

  The interaction between the GTK library we use, its underlying GDK resource management layer, and the the X windowing system which GDK wraps, is complex. Sometimes there is more than one way to do things.

  Since:
    4.0.8
  Author:
    Andrew Cowie

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `onMapEvent(Widget source, Event event)` Although this is an event-signal, this merely reports information coming from the underlying X11 windowing system.

- - ### Method Detail

    - #### onMapEvent

          boolean onMapEvent(Widget source,
                           Event event)

      Although this is an event-signal, this merely reports information coming from the underlying X11 windowing system. It's information you can monitor, but don't try to block this signal. Return `false`!